histogram(1)

NAME
histogram - Image histogram

SYNOPSIS
histogram [options] image

DESCRIPTION
Create a histogram of image intensities and write as tab-separated text file to standard output

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--nbins <none>, -n <none>
    Number of histogram bins (default: number of grey levels) [Default: 0]

--normalize, -N
    Normalize histogram to maximum 1.0

--min <double>
    User-defined minimum value [Default: disabled]

--max <double>
    User-defined maximum value [Default: disabled]

--truncate, -t
    Truncate histogram (do not enter values outside range into first/last bin)

--pad <boolean>
    Image padding value [Default: disabled]

--outfile <string>, -o <string>
    File name pattern for histograms [Default: NONE]

--mask <string>, -m <string>
    File name for multi-valued mask file [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.